@echo off

for /F "delims=" %%a in ("%~1") do call :_process "%%~dpna" "%~2" "%%~xa"
goto :_end

:_process
set SOURCE=%~1
set DEST=%~2
set FEXT=%~3

echo %SOURCE%%FEXT% -^> %DEST%
sox.exe %SOURCE%%FEXT% -s -r 11025 %SOURCE%.tmp%FEXT%
lame.exe -s 11025 -b 64 -F -m m %SOURCE%.tmp%FEXT% %DEST%
del %SOURCE%.tmp%FEXT%

:_end